# CUpti_PCSamplingGetNumStallReasonsParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiPCSamplingGetNumStallReasons.

## Data Fields
CUcontext | ctx
size_t * | numStallReasons
void * | pPriv
size_t | size

## Field Documentation

CUcontext CUpti_PCSamplingGetNumStallReasonsParams::ctx

[w] CUcontext

size_t* CUpti_PCSamplingGetNumStallReasonsParams::numStallReasons

[r] Number of stall reasons

void* CUpti_PCSamplingGetNumStallReasonsParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingGetNumStallReasonsParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingGetNumStallReasonsParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.